/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.findanyexample;

import java.util.Arrays;
import java.util.List;
import java.util.Optional;

/**
 *
 * @author omozegieaziegbe
 */
public class RelatedMethodExamples {

    public static void main(String[] args) {
        List<String> names = Arrays.asList("Thomas", "Frank", "Carol", "Charlie", "Diana");

        Optional<String> firstMatch = names.stream()
                .filter(name -> name.startsWith("C"))
                .findFirst();

        firstMatch.ifPresent(name -> System.out.println("First match: " + name));

        long countCNames = names.stream()
                .filter(name -> name.startsWith("C"))
                .count();

        System.out.println("Count of names starting with 'C': " + countCNames);

        boolean allStartWithA = names.stream()
                .allMatch(name -> name.startsWith("A"));

        System.out.println("All names start with 'A': " + allStartWithA);

    }
}
